API ReferenceEndpointsAnalytics
Server-sent events stream of the dashboard payload
text/event-stream; one data: frame with the same payload as /v1/analytics/init every interval seconds until the client disconnects.
AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Query Parameters
interval?integer
Seconds between frames.
Range
5 <= value <= 3600Default
30Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
text/event-stream
application/json
application/json
application/json
curl -X POST "https://example.com/v1/analytics/init/stream" \ -H "Content-Type: application/json" \ -d '{ "end": "2026-09-13T12:30:45Z", "start": "2026-08-14T00:00:00Z" }'"data: {\"data\":{\"metrics\":{\"total_users\":1200}}}\n\n"